Bug 226534 - Merge Review: vte
Merge Review: vte
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 16:16 EST by Nobody's working on this, feel free to take it
Modified: 2012-04-03 15:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-03 15:12:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:16:10 EST
Fedora Merge Review: vte

http://cvs.fedora.redhat.com/viewcvs/devel/vte/
Initial Owner: besfahbo@redhat.com
Comment 1 Michael Schwendt 2007-02-01 06:00:05 EST
* Source url points to wrong directory. Correct is:
ftp://ftp.gnome.org/pub/GNOME/sources/vte/0.15/vte-0.15.2.tar.bz2

* %dir %{_libdir}/%{name} is included in both packages.

* %{_libdir}/pkgconfig/vte.pc lists more "Requires" than found in
the vte-devel package. Incomplete pkgconfig dependency chains break
all sorts of pkg-config queries. Plus: it links -lfreetype by default
(-> Requires: freetype-devel).
Comment 2 Behdad Esfahbod 2007-04-11 21:38:45 EDT
No, freetype is included in Requires.private only.
Comment 3 Behdad Esfahbod 2008-12-09 16:36:24 EST
(In reply to comment #1)
> * Source url points to wrong directory. Correct is:
> ftp://ftp.gnome.org/pub/GNOME/sources/vte/0.15/vte-0.15.2.tar.bz2

Fixed in devel.

> * %dir %{_libdir}/%{name} is included in both packages.

Has already been fixed.

> * %{_libdir}/pkgconfig/vte.pc lists more "Requires" than found in
> the vte-devel package. Incomplete pkgconfig dependency chains break
> all sorts of pkg-config queries. Plus: it links -lfreetype by default
> (-> Requires: freetype-devel).

We don't require freetype anymore.
Comment 4 Thomas Spura 2010-02-27 07:58:00 EST
Some other issues:

- there is no URL
- no parallal make
  https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make
- please use INSTALL="install -p" when running make install
- why do you enable-static and rm $RPM_BUILD_ROOT/%{_libdir}/lib%{name}.a?
  please use disable-static and rm $RPM_BUILD_ROOT/%{_libdir}/lib%{name}.a is not needed.

- all defattr/attr are missing the last argument:
  %defattr(-,root,root) vs %defattr(-,root,root,-)

- mixed-use-of-spaces-and-tabs (spaces: line 170, tab: line 454)

- Prereq is deprecated
Comment 5 Parag AN(पराग) 2010-10-13 06:28:26 EDT
rpmlint complained

vte.x86_64: E: setgid-binary /usr/lib64/vte/gnome-pty-helper utmp 02711L
The file is setgid. Usually this is a packaging bug. If this is a game, then,
you should use the proper rpm group, or location.

vte.x86_64: E: non-standard-executable-perm /usr/lib64/vte/gnome-pty-helper 02711L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.
Comment 6 Parag AN(पराग) 2011-01-07 00:57:37 EST
Unfortunately, I have no time to follow/review this package and also no response from package owner. 

Returning this back to NEW queue.

Also, Adding mclasen in case he want to clean this spec.
Comment 7 Gwyn Ciesla 2012-04-03 14:12:40 EDT
Adding maintainer, fresh review.

Good:

- rpmlint checks return:

vte.spec:516: W: mixed-use-of-spaces-and-tabs (spaces: line 58, tab: line 516)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

Trivial to fix.

vte.src: W: no-url-tag
The URL tag is missing.

I'd suggest http://developer.gnome.org/vte/.

vte-devel.x86_64: W: no-manual-page-for-binary vte
Each executable in standard binary directories should have a man page.

Unsure.

Lots and lots of incorrect fsf address, will be addressed when this gets updated.

vte.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/gtk-2.0/vtemodule.so vtemodule.so()(64bit)
A shared object soname provides is provided by a file in a path from which
other packages should not directly load shared objects from.  Such shared
objects should thus not be depended on and they should not result in provides
in the containing package.  Get rid of the provides if appropriate, for
example by filtering it out during build.  Note that in some cases this may
require disabling rpmbuild's internal dependency generator.

Fix or comment.

vte.x86_64: E: setgid-binary /usr/lib64/vte/gnome-pty-helper utmp 02711L
The file is setgid. Usually this is a packaging bug. If this is a game, then,
you should use the proper rpm group, or location.

vte.x86_64: E: non-standard-executable-perm /usr/lib64/vte/gnome-pty-helper 02711L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

vte.x86_64: E: non-standard-executable-perm /usr/lib64/vte/gnome-pty-helper 02711L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

Likely OK.

- package meets naming guidelines
- package meets packaging guidelines
- license ( LGPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

Pretty good, let me know if you want me to commit any fixes.
Comment 8 Kevin Fenzi 2012-04-03 14:22:51 EDT
Feel free to commit fixes. ;) 

Note that this package is unlikely to ever update. Newer vte has dropped support for gtk2, which this package provides. Feel free to fix the minor things.
Comment 9 Gwyn Ciesla 2012-04-03 15:12:00 EDT
Committed fixes.  APPROVED, closing.

Note You need to log in before you can comment on or make changes to this bug.